Skip to content

Run up to 10 sample tasks through validator rounds (works before listing; uses the draft or current manifest)

POST
/v1/developers/projects/{project_id}/simulations
curl --request POST \
--url https://testnet-rpc.necter.network/v1/developers/projects/example/simulations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "tasks": [ { "function": "example", "input": "example", "gas_limit": 1 } ] }'
project_id
required
string
/^0x[0-9a-f]{64}$/
Media typeapplication/json
object
tasks
required
Array<object>
>= 1 items <= 10 items
object
function
required
string
input
required
gas_limit
integer

Example generated

{
"tasks": [
{
"function": "example",
"input": "example",
"gas_limit": 1
}
]
}

Started

Media typeapplication/json
object
simulation_id
required
string
project_id
required
string
/^0x[0-9a-f]{64}$/
status
required
string
Allowed values: running passed failed
results
Array<object>
object
round_id
required
string
success
required
boolean
output
required
string
receipt_hash
required
string
/^0x[0-9a-f]{64}$/
gas_used
required
integer
events
Array<object>
object
name
string
data
consensus
required
object
state
string
votes
integer
quorum
integer
error
string | null
logs
Array<string>
started_at
required
integer
completed_at
One of:
integer

Example

{
"status": "running"
}

rate_limited

Media typeapplication/json
object
error
required

Stable machine code

string
message
required
string
details
object
key
additional properties
any
request_id
required
string

Example generated

{
"error": "example",
"message": "example",
"details": {},
"request_id": "example"
}
Retry-After
integer